function equations()
mode(-1);
disp('Loading Toolbox for Equations');
g=scf(1004);

drawlater()
	// Remove Scilab graphics menus & toolbar
defaultfont        = "arial"; // Default Font
	
delmenu(g.figure_id, gettext("&File"));
delmenu(g.figure_id, gettext("&Tools"));
delmenu(g.figure_id, gettext("&Edit"));
delmenu(g.figure_id, gettext("&?"));
toolbar(g.figure_id, "off");
	
g.background      = -2;
g.figure_position = [10 10];
g.figure_name     = gettext("TOOLBOX ARCHIVE OF EQUATIONS");
g.axes_size= [860 500];	
	// New menu
	
h = uimenu( "parent", g,"label" , gettext("File"));
uimenu( "parent", h,"label", gettext("Close"),"callback","g=get_figure_handle(1004);delete(g);","tag", "close_menu");

//main frame 1
i=uicontrol(g,'relief','groove','style','frame','position', [15 15 830 475]);

//frame 1

f=uicontrol(i,'relief','groove','style','frame','position', [15 390 790 70],"BackgroundColor",[0.5 0.5 0.5]);

uicontrol(f,'relief','groove','style','text','string','TOOLBOX ARCHIVE OF EQUATIONS','fontsize',20,"horizontalalignment","center",'position', [10 10 765 50],"BackgroundColor",[1 1 1]);


//frame 2
g=uicontrol(i,'relief','groove','style','frame','position', [15 25 790 355],"BackgroundColor",[0.4 0.5 0.5]);

uicontrol(g,'style','text','string','Select an option:','fontsize',12,"horizontalalignment","left",'position', [10 295 510 50],"BackgroundColor",[0.4 0.5 0.5]);

//uicontrol(g,'style','pushbutton','string','MATHEMATICAL CONCEPTS','fontsize',16,"horizontalalignment","center",'position', [10 250 250 50],"BackgroundColor",[0.9 0.9 1],"Tag", "toolbox1","callback",'emtmath');

//uicontrol(g,'style','pushbutton','string','SMITH CHART','fontsize',16,"horizontalalignment","center",'position', [270 250 250 50],"BackgroundColor",[0.9 0.9 1],"Tag", "toolbox1","callback",'emtsmith');

uicontrol(g,'style','pushbutton','string','MATHEMATICAL CONCEPTS','fontsize',16,"horizontalalignment","center",'position', [10 190 250 50],"BackgroundColor",[0.9 0.9 1],"Tag", "toolbox1","callback",'g=get_figure_handle(1004);delete(g);emtmath');

uicontrol(g,'style','pushbutton','string','EM WAVE PROPAGATION','fontsize',16,"horizontalalignment","center",'position', [270 190 250 50],"BackgroundColor",[0.9 0.9 1],"Tag", "toolbox1","callback",'emwavemotion');

uicontrol(g,'relief','groove','style','pushbutton','string','ELECTROSTATICS','fontsize',16,"horizontalalignment","center",'position', [10 130 250 50],"BackgroundColor",[0.9 0.9 1],"callback",'emtfield');

uicontrol(g,'relief','groove','style','pushbutton','string','TRANSMISSION LINES','fontsize',16,"horizontalalignment","center",'position', [270 130 250 50],"BackgroundColor",[0.9 0.9 1],"callback",'emttlan');

uicontrol(g,'relief','groove','style','pushbutton','string','MAGNETOSTATICS','fontsize',16,"horizontalalignment","center",'position', [10 70 250 50],"BackgroundColor",[0.9 0.9 1],"callback",'emtmag');

uicontrol(g,'relief','groove','style','pushbutton','string','WAVEGUIDES','fontsize',16,"horizontalalignment","center",'position', [270 70 250 50],"BackgroundColor",[0.9 0.9 1],"callback",'emtwgan');

uicontrol(g,'relief','groove','style','pushbutton','string','ANTENNAS','fontsize',16,"horizontalalignment","center",'position', [530 70 250 50],"BackgroundColor",[0.9 0.9 1],"callback",'emtantdes');


uicontrol(g,'style','pushbutton','string','IMPEDANCE MATCHING','fontsize',16,"horizontalalignment","center",'position', [530 190 250 50],"BackgroundColor",[0.9 0.9 1],"Tag", "toolbox1","callback",'emtimdes');

uicontrol(g,'relief','groove','style','pushbutton','string','SMITH CHART','fontsize',16,"horizontalalignment","center",'position', [530 130 250 50],"BackgroundColor",[0.9 0.9 1],"callback",'emtsmith');

uicontrol(g,'relief','groove','style','pushbutton','string','RETURN TO PREVIOUS MENU','fontsize',16,"horizontalalignment","center",'position', [140 10 510 40],"BackgroundColor",[0.9 0.9 1],"callback","g=get_figure_handle(1004);delete(g);emtstart");

newaxes();	
m = gca();
	m.title.text         = "TOOLBOX FOR ANALYSIS";
	m.title.font_size    = 4;
	m.axes_bounds        = [0,0,1,1];
	
endfunction

function emwavemotion()
figure
m = gca();
	m.title.text         = "EM wave motion";
	m.title.font_size    = 6;
xset("font",1,4) 
xstring(0,0.4,['$Free \quad Space : \sigma=0, \epsilon=\epsilon_0, \mu=\mu_0$'; '$Lossless \quad Dielectrics : \sigma=0, \epsilon=\epsilon_r\epsilon_0, \mu=\mu_r\mu_0\quad or\quad  \sigma \ll\omega\epsilon$' ;'$Lossy\quad Dielectrics : \sigma\neq0, \epsilon=\epsilon_r\epsilon_0, \mu=\mu_r\mu_0$'; '$Good \quad Conductors : \sigma\simeq\infty, \epsilon=\epsilon_r\epsilon_0, \mu=\mu_r\mu_0\quad or\quad  \sigma \gg\omega\epsilon$'])
endfunction

