function [alpha,beeta,skin_depth]=propagate(sigma,frequency,mu_r,epsilon_r,display)
// ip: mu_r,epsilon_r,frequency,sigma

if argn(2)<4, epsilon_r=1; return; end
if argn(2)<3, mu_r=1; return; end
if argn(2)<2, frequency=1000; return; end
if argn(2)<1, sigma=0; return; end
E0=1;
omega=2*%pi*frequency;
mu0=4*%pi*1e-7; ;
epsilon0=10^-9/(36*%pi);
mu=mu0*mu_r;
epsilon=epsilon0*epsilon_r;
eta=real(sqrt(%i*omega*mu/(sigma+%i*omega*epsilon)));
//disp(eta)
gama=sqrt(%i*omega*mu*(sigma+%i*omega*epsilon));
//disp(gama)

alpha=real(gama); disp(alpha)
beeta=imag(gama); disp(beeta)
if sigma>(omega*epsilon) then
    skin_depth=(1/(alpha+%eps));
    disp(skin_depth)
else
    skin_depth=[];
end
if display==1 then

x=0:%pi/10:20*%pi;
x1=zeros(201,201);
z=0:.005:1;// up to 2*pi 0:.005:1;
z1=x1;
for i=1:201
x1(i,:)=x;
z1(i,:)=z;
end
if sigma~=%inf
y=E0*exp(-sigma*z1).*cos(x1);
end

set(gca(),"auto_clear","off");
surf(x1/(2*%pi),0*z1,y,'edgecol','blu')
surf(x1/(2*%pi),y/(eta+%eps),0*z1,'edgecol','red')
set(gca(),"grid",[1 1 1])
xsegs([0;10.2],[0;0],[0;0])
e = gce();
e.arrow_size = 8;
end