function smith(Zo)
  if argn(2)==0 then Zo=100;end
 figure(1);
clf;
set(gca(),'box','on');
square(-1,-1,1,1);
set(gca(),"auto_clear","off")

// Outer Circle

theta=0:2*%pi/60:(2*%pi);
x=sin(theta);
y=cos(theta);
plot(x,y,'k-');        //Outer circle
plot([-1 1],[0,0],'b-'); // Horizontal line through chart


// Imag Circles
smsub2(200,Zo); 
smsub2(150,Zo);   // j150 ohm etc...
smsub2(100,Zo);
smsub2(75,Zo);
smsub2(50,Zo);
smsub2(40,Zo);
smsub2(30,Zo);
smsub2(20,Zo);
smsub2(10,Zo);
smsub2(5,Zo);

// Real Circles
smsub1(200,Zo); 
smsub1(150,Zo);   // 150 ohm etc...
smsub1(100,Zo);
smsub1(75,Zo);
smsub1(50,Zo);
smsub1(40,Zo);
smsub1(30,Zo);
smsub1(20,Zo);
smsub1(10,Zo);

smsub1(5,Zo)
endfunction

function smsub1(ohms,Zo)
p=(ohms-Zo)/(ohms+Zo);       // Calculate reflection coefficient
r=(1-p)/2;		     // Calculate circle radius

theta=0:2*%pi/60:(2*%pi);
x=-r*sin(theta);           // X-plot vector
y=-r*cos(theta);	          //Y-plot vector
plot(x+(1-r),y,'b-');       // Plot circle, centre (1-r,0)
endfunction

function smsub2(ohms,Zo)
ohms=ohms*%i;               // convert ohms to imaginary value
p=(ohms-Zo)/(ohms+Zo);     // calculate the reflection coefficient
if (real(p)>=0)
phi=atan(imag(p)/(real(p+%eps)));// angle of complex reflection coefficient
else
phi=%pi+atan(imag(p)/(real(p)));
end
xip=abs(p).*cos(phi);      // x-coord of +j*ohms on outer circle of chart
yip=abs(p).*sin(phi);       // y-coord of +j*ohms on outer circle of chart

// Find radius of circle on Imag axis that cuts edge of chart at (xip,yip)

r=(xip^2-2*xip+1+yip^2)/(2*yip);

// Calc arclength to be drawn starting at (1,0)

if r==1,
 arclen=%pi/2;
else
  if r<1,
   arclen=%pi-atan((1-xip)/(yip-r));
  end
  if r>1,
   arclen=atan((1-xip)/(r-yip));
  end
 end

// Draw arcs

theta=0:(arclen./20):arclen;
x=-r.*sin(theta);
y=-r.*cos(theta);
plot(x+1,y+r,'b--');         // Plot +ve Imag arcs, centred at (1,0)
plot(x+1,-y-r,'b--');        // Plot -ve Imag arcs, centred at (1,0)
endfunction