//HELP FILE ADDED
function [a, dph] = binomial_array(d, ph0, N)
if argn(2)==0, help binomial; return; end
N1 = N - 1;                               // filter order
a = 1;
for i=1:N1,
   a = convol(a,[1,1]);       // convolve N1-times: [1,1]*[1,1]*...*[1,1] 
end
a = steer(d, a, ph0);                    // steer toward ph0
dps = 4 * acos(2^(-0.5/N1));              // 3-dB width in psi-space
dph = bwidth(d, ph0, dps);               // 3-dB width in phi-space
endfunction
