//HELP FILE ADDED
function [thb,thcTE,thcTM] = brewster(na,nb)
if argn(2)==0, help brewster; return; end
na = na(:); nb = nb(:);                  // make them column vectors
if length(na)==1, na=[na; na; na]; end                  //isotropic case
if length(na)==2, na=[na(1); na(1); na(2)]; end        // uniaxial case
if length(nb)==1, nb=[nb; nb; nb]; end
if length(nb)==2, nb=[nb(1); nb(1); nb(2)]; end
if na(3)==nb(3),
    thb = [];                   //Brewster angle does not exist
else
    thb = atan(na(3) * nb(3) * sqrt((na(1)^2-nb(1)^2)/(na(3)^2-nb(3)^2)) / na(1)^2) * 180/%pi;
end
if na(3)>nb(3),
    thcTM = asin(na(3)*nb(3)/sqrt(na(3)^2*nb(3)^2 + na(1)^2*(na(3)^2-nb(3)^2))) * 180/%pi;
else
    thcTM = asin(na(3)*nb(3)/sqrt(na(3)^2*nb(3)^2 + nb(1)^2*(nb(3)^2-na(3)^2))) * 180/%pi;
end
if na(2)>nb(2), 
    thcTE = asin(nb(2)/na(2)) * 180/%pi;
else
    thcTE = asin(na(2)/nb(2)) * 180/%pi;
end
endfunction
