//HELP FILE ADDED
function coefs = chebarray(M, sldb)
if (sldb <= 0)
  error('sldb must be positive!')
end

N = floor(M/2);
Meven = (M == 2*N); // True if even # elements in array.
sigma = 10^(sldb/20);  // Side lobe level as a voltage ratio.
Q = acosh(sigma);
beta = (cosh(Q/(M-1)))^2;
alpha = 1 - 1/beta;
if Meven
  nend = N-1;
  I = zeros(1,N);  //Storage for half the array coefficients.
else
  nend = N;
  I = zeros(1,N+1);  //Storage for half the array coefficients.
end
I(1) = 1;
for n = 1:nend
  np = 1;
  for m = 1:(n-1)
    f_m = m * (M-1-2*n + m) / ((n-m) * (n+1-m));
    np = np * alpha * f_m + 1;
  end
  I(n+1) = (M-1)*alpha * np;
end
if Meven
  coefs = [I flipdim(I,2)];
else
  coefs = [I(1:length(I)-1) flipdim(I,2)];
end
endfunction
