function [n,a,b,A] = chebtr2(na,nb,M,DF)
if argn(2)==0, help chebtr2; return; end
e0 = sqrt((nb-na)^2/(4*nb*na));
x0 = 1/sin(DF*%pi/4);
e1 = e0/cosh(M*acosh(x0));
A = 10*log10((1+1/e1^2)/(1+1/e0^2));
m=0:M-1; 
delta = acos(cos((acos(-j/e1)+%pi*m)/M)/x0);   // stable transmittance poles
z = exp(2*%i*delta);                         //zeros of A(z)
a = real(poly2(z));                            // coefficients of A(z)
sigma = sign(na-nb)*abs(sum(a))/sqrt(1+e0^2);// scale factor, - if na<nb, + if na>nb
delta = acos(cos((m+0.5)*%pi/M)/x0);          // roots of B(z)
z = exp(2*%i*delta);
b = real(poly2(z));                            // unscaled coefficients of B(z)
b0 = sigma * e0 / abs(sum(b));
b = b0 * b;                                   //rescaled B(z)
r = bkwrec(a,b);                              // backward recursion
n = na * r2n(r);                             // refractive indices
endfunction
