//help file added
// circle intersection on Gamma-plane

function Gamma = circint(c1,r1,c2,r2)

if argn(2)==0, help circint; return; end

th = acos((r1^2 + r2^2 - abs(c1-c2)^2)/(2*r1*r2)) * [1; -1]; // th = ph2-phi1

if ~isreal(th),
    disp('\nno intersection exists\n\n');
    return;
end

z1 = (c2 - c1) ./ (r1 - r2*exp(%i*th)); // z1 = exp(j*ph1)         
Gamma = c1 + r1 * z1;
endfunction
