//help file added
//TE modes in dielectric slab waveguide
function [be,kc,ac,fc,err] = dguide(f,a,n1,n2,Nit)

if argn(2)==0, help dguide; return; end
if argn(2)==4, Nit=3; end;

c0 = 30;                                    // c0 in GHz x cm
k0 = 2*%pi*f/c0;                             // free-space wavenumber
NA = sqrt(n1^2 - n2^2);                    // numerical aperture 
R = k0*a*NA;                                // circle radius
M = floor(2*R/%pi);                          // number of modes = M+1
m = 0:M;                                    // mode numbers
Rc = m*%pi/2;                                // cutoff radii
fc = c0*Rc/(2*%pi*a*NA);                     // cutoff frequencies in GHz

[u,v,err] = dslab(R,Nit);                   

kc = u/a;
ac = v/a;

be = sqrt(n1^2*k0^2 - kc.*kc);              // propagation wavenumbers
endfunction
