//HELP FILE ADDED
function [g, th, c] = dipole(L, Nth)
if argn(2)==0, help dipole; return; end
th = (1:Nth-1) * (2*%pi)/Nth;        // exclude th=0 and th=pi
if L == 0,
   g = sin(th).^2;
else
   g = ((cos(%pi*L*cos(th)) - cos(%pi*L))./sin(th)).^2;
end
c = 1 / max(g);
th = [0, th, %pi];               // add th=0 and th=pi             
g = [0, c*g, 0];
endfunction
