//HELP FILE ADDED
function [a, dph] = dolph(d, ph0, N, R)
if argn(2)==0, help dolph; return; end
N1 = N - 1;                        // number of pattern zeros
Ra = 10^(R/20);                     // sidelobe level in absolute units
x0 = cosh(acosh(Ra)/N1);            // scaling factor
d1max = acos(-1/x0)/%pi;             // maximum element spacing
if d>d1max, 
   disp('is maximum allowed spacing is dmax ', d1max);
a=[];dph=[];
return;
else
i = 1:N1;  
x = cos(%pi*(i-0.5)/N1);   // N1 zeros of Chebyshev polynomial T_N1(x)
psi = 2 * acos(x/x0);        // N1 array pattern zeros in psi-space
z = exp(%i*psi);                     // N1 zeros of array polynomial
a = real(poly2(z)); // zeros-to-polynomial form, N1+1 = N coefficients
a = steer(d, a, ph0);               // steer towards ph0
x3 = cosh(acosh(Ra/sqrt(2))/N1);    // 3-dB Chebyshev variable x
psi3 = 2*acos(x3/x0);               // exact 3-dB frequency
dps = 2*psi3;                      // 3-dB width
dph = bwidth(d, ph0, dps);         // 3-dB width in phi-space
end
endfunction
