function emt2darr()
	//array_gui
mode(-1);
disp('Loading 2D antenna array gui');
g=scf(121);
	// Remove Scilab graphics menus & toolbar
//drawlater()
defaultfont        = "arial"; // Default Font
global d a Rm;
	a=[1,1;0,0];
delmenu(g.figure_id, gettext("&File"));
delmenu(g.figure_id, gettext("&Tools"));
delmenu(g.figure_id, gettext("&Edit"));
delmenu(g.figure_id, gettext("&?"));
toolbar(g.figure_id, "off");
	
g.background      = -2;
g.figure_position = [10 10];
g.figure_name     = gettext("2D ANTENNA ARRAY");
g.axes_size= [1200 650];	
	// New menu
	
h = uimenu( "parent", g,"label" , gettext("File"));
uimenu( "parent", h,"label", gettext("Close"),"callback","g=get_figure_handle(121);delete(g);","tag", "close_menu");
xinfo('PR');
//main frame 1
i=uicontrol(g,'relief','groove','style','frame','position', [15 200 315 250]);

//frame 1
f=uicontrol(i,'relief','groove','style','frame','position', [15 30 275 145],"BackgroundColor",[0.5 0.5 0.5]);
uicontrol(i,'relief','groove','style','text','string',"Control Panel","horizontalalignment","center",'position', [15 160 275 20],"BackgroundColor",[0.9 0.9 1]);

//slider1
uicontrol(f,'relief','groove',"style","slider","Min", 0,"Max", 100,"Value", 50,"SliderStep",[1 10],"units", "pixels","position", [ 70 100 100 20 ],"callback","slider_update1","Tag", "view_slider1");
uicontrol(f,'relief','groove','style','text','string','d',"horizontalalignment","center",'position', [10 100 50 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [180 100 80 20],"Style", "edit","BackgroundColor",[1 0.75 1],"HorizontalAlignment", "center","Tag", "slider_text1",'callback','edit_update2');
slider_update1();

uicontrol(f,'relief','groove','style','text','string','a',"horizontalalignment","center",'position', [10 70 50 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [70 70 190 20],"Style", "edit",'string','[1,1;0,0]',"BackgroundColor",[1 0.75 1],"HorizontalAlignment", "center","Tag", "slider_text3",'callback','edit_update1','fontsize',14);


uicontrol(f,'relief','groove',"style","slider","Min", 0,"Max", 100,"Value", 12,"SliderStep",[5 10],"units", "pixels","position", [ 70 40 100 20 ],"callback","slider_update4","Tag", "view_slider4");
uicontrol(f,'relief','groove','style','text','string','Rm',"horizontalalignment","center",'position', [10 40 50 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f, 'relief','groove',"Position", [180 40 80 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "slider_text4");
slider_update4();

uicontrol(f,'relief','groove','style','pushbutton','callback',"drawfigure;",'string','GO','position',[180 10 80 20],"BackgroundColor",[0.7 0.7 1]);

j=uicontrol(g,'relief','groove','style','frame',"BackgroundColor",[0.9 0.9 1],'position', [15 15 315 135])
uicontrol(j,'style','text','string','Obtain radiation pattern of a 2d antenna array',"horizontalalignment","center",'position', [5 90 305 15],"BackgroundColor",[0.9 0.9 1],'FontSize',11);
uicontrol(j,'style','text','string','Parameters: d-element spacing (in lambdas),',"horizontalalignment","left",'position', [5 70 305 15],"BackgroundColor",[0.9 0.9 1],'FontSize',11);
uicontrol(j,'style','text','string','a-array weights,',"horizontalalignment","left",'position', [80 50 230 15],"BackgroundColor",[0.9 0.9 1],'FontSize',11);
uicontrol(j,'style','text','string','Rm-max attenuation in plot.',"horizontalalignment","left",'position', [80 30 230 15],"BackgroundColor",[0.9 0.9 1],'FontSize',11);

m = gca();
	m.title.text         = "2D ANTENNA ARRAY";
	m.title.font_size    = 4;

newaxes();	
endfunction

//functions for array_gui
function drawfigure()
	global d a Rm;
	m=gca();
	m.axes_bounds        = [0.25,0,0.65,1];
s=size(a);
phi = (0:400) * 2*%pi/400;
g=0;
for i=1:s(1)
	for j=1:s(2)
//		disp(a(i,j))
//		disp(atan((i-1)/(j-1+%eps)));
//		disp(sqrt((i-1).^2+(j-1).^2));
		psi=2*%pi.*(sqrt((i-1).^2+(j-1).^2)).*d.*cos(phi-atan((i-1)/(j-1+%eps)));
		g=g+a(i,j)*exp(%i*psi);
	end
end
g = abs(g).^2;
g = g/max(g);
drawlater();
set(gca(),"auto_clear","on") 
plot(0,0)
set(gca(),"auto_clear","off") 
dbz2(phi,g,Rm);
set(gca(),"axes_visible","off")
drawnow();
endfunction

function slider_update1()
sl = findobj("Tag", "view_slider1");
txt = findobj("Tag", "slider_text1");
global d;
d=get(sl, "Value")/100;
set(txt, "String", string(d));
endfunction

function slider_update4()
s1 = findobj("Tag", "view_slider4");
txt = findobj("Tag", "slider_text4");
global Rm;
Rm=get(s1, "Value");
set(txt, "String", string(Rm));
endfunction

function edit_update1()
global a
txt = findobj("Tag", "slider_text3");
a=evstr(get(txt, "string"));
disp(a);
endfunction

function edit_update2()
global d
txt = findobj("Tag", "slider_text1");
d=evstr(get(txt, "string"));
s1 = findobj("Tag", "view_slider1");
set(s1, "Value", d);
endfunction
