function emtimls()
mode(-1);
disp('Loading L-section Reactive Matching');
g=scf(113);
	// Remove Scilab graphics menus & toolbar
	
//drawlater()
defaultfont        = "arial"; // Default Font
	
delmenu(g.figure_id, gettext("&File"));
delmenu(g.figure_id, gettext("&Tools"));
delmenu(g.figure_id, gettext("&Edit"));
delmenu(g.figure_id, gettext("&?"));
toolbar(g.figure_id, "off");
	
g.background      = -2;
g.figure_position = [50 50];
g.figure_name     = gettext("emtimls");
g.axes_size= [1100 800];	
	// New menu

global zL zG type1 x12
x12=[];	
zL=2+%i*3;
zG=10;
type1='n';

h = uimenu( "parent", g,"label" , gettext("File"));
uimenu( "parent", h,"label", gettext("Close"),"callback","g=get_figure_handle(113);delete(g);","tag", "close_menu");
xinfo('PR');

//main frame 1
i=uicontrol(g,'relief','groove','style','frame','position', [830 250 250 380]);

//frame 1

f=uicontrol(i,'relief','groove','style','frame','position', [15 180 210 175],"BackgroundColor",[0.5 0.5 0.5]);
uicontrol(i,'relief','groove','style','text','string',"Control Panel","horizontalalignment","center",'position', [15 340 210 20],"BackgroundColor",[0.9 0.9 1]);

uicontrol(f,'relief','groove','style','text','string','Generator Impedance ',"horizontalalignment","center",'position', [10 130 100 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [120 130 80 20],"Style", "edit",'string',string(zG),"BackgroundColor",[1 0.75 1],"HorizontalAlignment", "center","Tag", "edit1",'callback','edit_update1','FontSize',12);


uicontrol(f,'relief','groove','style','text','string','Load Impedance',"horizontalalignment","center",'position', [10 100 100 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [120 100 80 20],"Style", "edit",'string',string(zL),"HorizontalAlignment", "center","Tag", "edit2","BackgroundColor",[1 0.75 1],'callback','edit_update2','FontSize',12);


uicontrol(f,'relief','groove','style','text','string','Network Type (n/r)',"horizontalalignment","center",'position', [10 70 100 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [120 70 80 20],"Style", "edit",'string',type1,"BackgroundColor",[1 0.75 1],"HorizontalAlignment", "center","Tag", "edit3",'callback','edit_update3','FontSize',12);

uicontrol(f,'relief','groove','style','pushbutton','callback','lmatch1','string','GO','position',[120 10 80 20],"BackgroundColor",[0.8 0.8 1]);


//frame 2


h=uicontrol(i,'relief','groove','style','frame','position', [15 35 210 120],"BackgroundColor",[0.5 0.5 0.5]);
uicontrol(i,'relief','groove','style','text','string',"Output Panel","horizontalalignment","center",'position', [15 150 210 20],"BackgroundColor",[0.9 0.9 1]);

uicontrol(h,'relief','groove','style','text','string','Solution 1',"horizontalalignment","center",'position', [10 50 60 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(h,'relief','groove','style','text','string','Solution 2',"horizontalalignment","center",'position', [10 20 60 20],"BackgroundColor",[0.9 0.9 1]);

uicontrol(h,'relief','groove','style','text','string','X1',"horizontalalignment","center",'position', [80 80 55 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(h, 'relief','groove',"Position", [80 50 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text1");
uicontrol(h, 'relief','groove',"Position", [80 20 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text2");

uicontrol(h,'relief','groove','style','text','string','X2',"horizontalalignment","center",'position', [140 80 55 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(h, 'relief','groove',"Position", [140 50 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text3");
uicontrol(h, 'relief','groove',"Position", [140 20 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text4");

str = "";
str = str + "<html>";
str = str + "<img src=""file:///"+SCI+"/contrib/EMTTOOL/images/lmatch.jpg"" />";
str = str + "</html>";
my_text = uicontrol("parent", g,"style","text","string",str,"units","pixels","position" , [50 0 750 550],"background" , [1 1 1],"tag","stub1" );

m = gca();
	m.title.text         = "L-SECTION REACTIVE CONJUGATE MATCHING";
	m.title.font_size    = 4;
endfunction

function edit_update1()
	global zG
	s4 = findobj("Tag", "edit1");
	zG=evstr(get(s4, "string"));
endfunction

function edit_update2()
	global zL
	s4 = findobj("Tag", "edit2");
	zL=evstr(get(s4, "string"));
endfunction

function edit_update3()
	global type1
s4 = findobj("Tag", "edit3");
type1=(get(s4, "string"));
endfunction

function lmatch1()
	global zL zG type1 x12
	x12=lmatch(zG,zL,type1);
	if x12==[], messagebox("No real solution of this type exists, change type", "Error", "error", ["Continue"], "modal");return;
	end
	disp(x12,"x12=");
txt1 = findobj("Tag", "text1");
txt2 = findobj("Tag", "text2");
txt3 = findobj("Tag", "text3");
txt4 = findobj("Tag", "text4");
set(txt1, "String", string(x12(1,1)));
set(txt2, "String", string(x12(2,1)));
set(txt3, "String", string(x12(1,2)));
set(txt4, "String", string(x12(2,2)));	
endfunction	