function emtwprop1()
mode(-1);
disp('Loading Wave propagation visualization');
g=scf(103);
	// Remove Scilab graphics menus & toolbar
	
//drawlater()
defaultfont        = "arial"; // Default Font
	
delmenu(g.figure_id, gettext("&File"));
delmenu(g.figure_id, gettext("&Tools"));
delmenu(g.figure_id, gettext("&Edit"));
delmenu(g.figure_id, gettext("&?"));
toolbar(g.figure_id, "off");
	
g.background      = -2;
g.figure_position = [10 10];
g.figure_name     = gettext("emtwprop1");
g.axes_size= [1000 650];	
	// New menu

global sigma frequency mu_r epsilon_r alpha beeta skin_depth
sigma=1;
frequency=1000;
mu_r=1;
epsilon_r=1;
h = uimenu( "parent", g,"label" , gettext("File"));
uimenu( "parent", h,"label", gettext("Close"),"callback","g=get_figure_handle(103);delete(g);","tag", "close_menu");
xinfo('PK');

//main frame 1
i=uicontrol(g,'relief','groove','style','frame','position', [10 150 290 400]);

//frame 1

f=uicontrol(i,'relief','groove','style','frame','position', [15 140 260 230],"BackgroundColor",[0.5 0.5 0.5]);
uicontrol(i,'relief','groove','style','text','string',"Control Panel","horizontalalignment","center",'position', [15 360 260 20],"BackgroundColor",[0.9 0.9 1]);

uicontrol(f,'relief','groove','style','text','string','sigma ',"horizontalalignment","center",'position', [10 180 100 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [120 180 120 20],"Style", "edit","string",string(sigma),"HorizontalAlignment", "center","Tag", "edit1",'callback','edit_update1','FontSize',12);


uicontrol(f,'relief','groove','style','text','string','Frequency',"horizontalalignment","center",'position', [10 150 100 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [120 150 120 20],"Style", "edit","string",string(frequency),"HorizontalAlignment", "center","Tag", "edit2",'callback','edit_update2','FontSize',12);

uicontrol(f,'relief','groove','style','text','string','mu_r',"horizontalalignment","center",'position', [10 120 100 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [120 120 120 20],"Style", "edit","string",string(mu_r),"HorizontalAlignment", "center","Tag", "edit3",'callback','edit_update3','FontSize',12);


uicontrol(f,'relief','groove','style','text','string','epsilon_r ',"horizontalalignment","center",'position', [10 90 100 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [120 90 120 20],"Style", "edit","string",string(epsilon_r),"HorizontalAlignment", "center","Tag", "edit4",'callback','edit_update4','FontSize',12);


//uicontrol(f,'relief','groove','style','text','string','Medium Type ',"horizontalalignment","center",'position', [10 60 100 20],"BackgroundColor",[0.9 0.9 1]);
//uicontrol(f,'style','popupmenu','position', [120 60 120 20],'callback','med_select','tag','mode123','string', "Lossy dielectric|lossless dielectric|metal",'value',1,"BackgroundColor",[0.7 0.7 1]);

uicontrol(f,'relief','groove','style','pushbutton','callback','drawfigure()','string','GO','position',[80 30 80 20],"BackgroundColor",[0.7 0.7 1]);


//frame 2
[alpha,beeta,skin_depth]=propagate(sigma,frequency,mu_r,epsilon_r,0);

h=uicontrol(i,'relief','groove','style','frame','position', [15 35 260 100],"BackgroundColor",[0.5 0.5 0.5]);
uicontrol(i,'relief','groove','style','text','string',"Output Panel","horizontalalignment","center",'position', [15 135 260 20],"BackgroundColor",[0.9 0.9 1]);

uicontrol(h,'relief','groove','style','text','string','Alpha',"horizontalalignment","center",'position', [10 70 80 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(h,'relief','groove','style','text','string','Beta',"horizontalalignment","center",'position', [10 40 80 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(h,'relief','groove','style','text','string','Skin Depth',"horizontalalignment","center",'position', [10 10 80 20],"BackgroundColor",[0.9 0.9 1]);


//uicontrol(h,'relief','groove','style','text','string','d',"horizontalalignment","center",'position', [80 80 55 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(h, 'relief','groove',"Position", [120 70 120 20],"Style", "text","string",string(alpha),"BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text1");
uicontrol(h, 'relief','groove',"Position", [120 40 120 20],"Style", "text","string",string(beeta),"BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text2");
uicontrol(h, 'relief','groove',"Position", [120 10 120 20],"Style", "text","string",string(skin_depth),"BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text3");

//uicontrol(h,'relief','groove','style','text','string','l',"horizontalalignment","center",'position', [140 80 55 20],"BackgroundColor",[0.9 0.9 1]);
//uicontrol(h, 'relief','groove',"Position", [140 50 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text3");
//uicontrol(h, 'relief','groove',"Position", [140 20 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text4");


m = gca();
	m.title.text         = "WAVE PROPAGATION VISUALIZATION";
	m.title.font_size    = 4;
endfunction

function edit_update1()
	global sigma
	s4 = findobj("Tag", "edit1");
	sigma =evstr(get(s4, "string"));
endfunction

function edit_update2()
	global frequency
	s4 = findobj("Tag", "edit2");
	frequency=evstr(get(s4, "string"));
endfunction

function edit_update3()
	global mu_r
s4 = findobj("Tag", "edit3");
mu_r=(get(s4, "string"));
endfunction

function edit_update4()
	global epsilon_r
s4 = findobj("Tag", "edit4");
epsilon_r=(get(s4, "string"));
endfunction

function drawfigure()
global sigma frequency mu_r epsilon_r alpha beeta skin_depth;
figure;
set(gcf(),'figure_position',[400 90]);
set(gcf(),'axes_size',[600 450])
set(gcf(),'figure_name',gettext("WAVE PROPAGATION VISUALIZATION"));
[alpha,beeta,skin_depth]=propagate(sigma,frequency,mu_r,epsilon_r,1);

s4 = findobj("Tag", "text1");
set(s4, "string",string(alpha));

s4 = findobj("Tag", "text2");
set(s4, "string",string(beeta));

s4 = findobj("Tag", "text3");
set(s4, "string",string(skin_depth));

endfunction