//HELP FILE ADDED
function [rte,rtm] = fresnel(na,nb,theta)
// Fresnel reflection coefficients for isotropic or birefringent media
if argn(2)==0, help fresnel; return; end
na = na(:); nb = nb(:);   // make them column vectors
if length(na)==1, na=[na; na; na]; end                 // isotropic case
if length(na)==2, na=[na(1); na(1); na(2)]; end       // uniaxial case
if length(nb)==1, nb=[nb; nb; nb]; end
if length(nb)==2, nb=[nb(1); nb(1); nb(2)]; end
theta = %pi*theta/180;
Na = 1./sqrt(cos(theta).^2/na(1)^2 + sin(theta).^2/na(3)^2);       
xe = (na(2)*sin(theta)).^2;                     // used in TE case        
xm = (Na.*sin(theta)).^2;          // used in TM case                    
rte=(na(2)*cos(theta)-sqrt(nb(2)^2-xe))./(na(2)*cos(theta)+sqrt(nb(2)^2-xe));
if na(3)==nb(3),                                               
    rtm = (na(1) - nb(1)) / (na(1) + nb(1)) * ones(1,length(theta));
else
    rtm=(na(1)*na(3)*sqrt(nb(3)^2-xm)-nb(1)*nb(3) * sqrt(na(3)^2 - xm)) ./(na(1)*na(3) * sqrt(nb(3)^2 - xm) + nb(1)*nb(3) * sqrt(na(3)^2 - xm));
end
endfunction
