//HELP FILE ADDED
function [g, phi] = gain1d(d, a, N)
if argn(2)==0, help gain1d; return; end        
phi = (0 : N) * %pi / N;     // equally-spaced over [0,pi]
psi = 2 * %pi * d * cos(phi);
A = dtft(a, -psi);         //array factor, note dsft(a,psi)=dtft(a,-psi)
g = abs(A).^2;                  // power gain
g = g/max(g);                  // normalized to unity maximum
endfunction
