function X12 = lmatch(ZG,ZL,type1)
if argn(2)==0, help lmatch; return; end
if argn(2)==2, type1='n'; end
if real(ZG)==real(ZL),
    X2 = -imag(ZL+ZG);
    X1 = %inf;
    X12 = [X1,X2];
    return;
end
if type1=='n',
    RG = real(ZG); XG = imag(ZG);
    RL = real(ZL); XL = imag(ZL);
else                                        
    RG = real(ZL); XG = imag(ZL);       // reverse roles of ZL and ZG
    RL = real(ZG); XL = imag(ZG);
end
Q = sqrt(RG/RL - 1 + XG^2/(RG*RL));
if ~isreal(Q), 
    disp('exists',type1,'no real solution of type '); X12=[];
    return;
end
X1 = (XG + [1; -1]*Q*RG)/(RG/RL - 1);
X2 = -(XL + [1; -1]*Q*RL);
X12 = [X1,X2];
endfunction
