//help file added
function [eff,Z] = mstripa(er,u)
//microstrip analysis
if argn(2)==0, help mstripa; return; end
eta = etac(1);
a = 1 + log((u.^4 + (u/52).^2)./(u.^4 + 0.432))/49 + log(1 + (u/18.1).^3)/18.7;
b = 0.564*((er-0.9)/(er+3))^0.053;
F = 6 + (2*%pi-6)*exp(-(30.666./u).^0.7528);
eff = 0.5*(er+1) + 0.5*(er-1)*(1 + 10./u).^(-a*b);
Z = eta/(2*%pi) * log(F./u + sqrt(1+(2./u).^2)) ./sqrt(eff); 
endfunction
