function [u,N] = mstripr(er,Z0,per)

if argn(2)==0, help mstripr; return; end
if argn(2)==2, per=0.2; end

Nmax = 3000;
per = per/100;

u = mstrips(er,Z0);                 // initial estimate of u 
[eff,Z] = mstripa(er,u);          // corresponding impedance

N = 0;

while 100*abs(Z-Z0)/Z0 > per,       
    if Z<=Z0,                      // Z is a decreasing function of u
        u = (1-per)*u;              // corrected u
    else
        u = (1+per)*u;
    end
    [eff,Z] = mstripa(er,u);        //corrected Z
    N = N+1;
    if N>Nmax, 
        u = mstrips(er,Z0);        // convergence failed, use initial value
        break;
    end
end

endfunction
