function scomb(Zo,r,x)
// Set up axes
	if argn(2)==2
		x=r;
	end
	if argn(2)==1
		r=[0.1 0.2 0.3 0.4 0.5 0.75 1 1.25 1.5 1.75 2];
		x=r;
	end	
	if argn(2)==0
		Zo=100;
		r=[0.1 0.2 0.3 0.4 0.5 0.75 1 1.25 1.5 1.75 2];
		x=r;		
	end
figure(3);
clf;
drawlater();
set(gca(),'box','on');
square(-1.1,-1.1,1.1,1.1);
set(gca(),"auto_clear","off")
// Outer Circle
theta=0:2*%pi/60:(2*%pi);
x1=sin(theta);
y1=cos(theta);
plot(x1,y1,'k-');          // Outer circle
plot([-1 1],[0,0],'b-');// Horizontal line through chart
// Imag Circles
for i=1:length(x)
	scsub2(x(i)*Zo,Zo);
end

// Real Circles
for i=1:length(r)
	scsub1(r(i)*Zo,Zo);
end
set(gca(),"axes_visible","off")
xtitle('COMBINED IMPEDANCE ADMITTANCE SMITH CHART')
drawnow();
endfunction

function scsub1(ohms,Zo)
// Smith / Admittance Chart Subroutine1
p=(ohms-Zo)/(ohms+Zo);       
r=(1-p)/2;
theta=0:2*%pi/60:(2*%pi);
x=-r*sin(theta);            // X-plot vector
y=-r*cos(theta);	           // Y-plot vector
plot(x+(1-r),y,'b-');        // Plot circle, centre (1-r,0)
plot((r-x-1),y,'g-');       // Plot circle, centre (r-1,0)
xstring(1.01-2*r,0,string(ohms/Zo),angle=270)
endfunction

function scsub2(ohms,Zo)
// Smith / Admittance Chart Subroutine2
ohms=ohms*%i;                // convert ohms to imaginary value
p=(ohms-Zo)/(ohms+Zo);     //calculate the reflection coefficient
if (real(p)>=0)
phi=atan(imag(p)/(real(p+%eps)));// angle of complex reflection coefficient
else
phi=%pi+atan(imag(p)/(real(p)));
end
xip=abs(p).*cos(phi);    // x-coord of +j*ohms on outer circle of chart
yip=abs(p).*sin(phi);     // y-coord of +j*ohms on outer circle of chart
//Find radius of circle on Imag axis that cuts edge of chart at (xip,yip)
r=(xip^2-2*xip+1+yip^2)/(2*yip);
//Calc arclength to be drawn starting at (1,0)
if r==1,
 arclen=%pi/2;
else
  if r<1,
   arclen=%pi-atan((1-xip)/(yip-r));
  end
  if r>1,
   arclen=atan((1-xip)/(r-yip));
  end
 end
// Draw arcs
theta=0:(arclen./20):arclen;
x=-r.*sin(theta);
y=-r.*cos(theta);
plot(x+1,y+r,'b--');        // Plot +ve Imag arcs, centred at (1,0)
plot(x+1,-y-r,'b--');       //Plot -ve Imag arcs, centred at (1,0)
plot(-x-1,y+r,'g--');
plot(-x-1,-y-r,'g--');
xstring(-r.*sin(arclen)+1,-r.*cos(arclen)+r,string(ohms/%i/Zo))
xstring(-r.*sin(arclen)+1,r.*cos(arclen)-r,'-'+string(ohms/%i/Zo))
endfunction
