function G = sgain(S,g1,g2)
if argn(2)==0, help sgain; return; end
if argn(2)==1,
    K=sparam(S);
    if K<1, 
       disp('\nsimultaneous conjugate match does not exist\n\n'); 
       return; 
    end
    [g1,g2] = smatch(S);
    G = sgain(S,g1,g2);
end
if argn(2)==2,
    select g1
      case 'u'
         G = abs(S(2,1))^2 / ((1 - abs(S(1,1))^2) * (1 - abs(S(2,2))^2));
      case 'ui'
         G = 1 / (1 - abs(S(1,1))^2);
      case 'uo' 
         G = 1 / (1 - abs(S(2,2))^2);
      case 'ufm'
         U = (S(1,2)*S(2,1)*conj(S(1,1)*S(2,2))) / ...
             ((1 - abs(S(1,1))^2) * (1 - abs(S(2,2))^2));
         G = 1 / abs(1-U)^2;
      case 'msg'
        if abs(S(1,2))~=0, 
          G = abs(S(2,1)/S(1,2)); 
        else
          G = %inf;
        end
      else
         G = sgain(S);
    end
end
if argn(2)==3,
    if g2=='a',
        gG = g1;
        gL = conj(gout(S,gG));
        G  = sgain(S,gG,gL);
    elseif g2=='p', 
        gL = g1;
        gG = conj(gin(S,gL));
        G  = sgain(S,gG,gL);
    else
        G = (1-abs(g1).^2) .* (1-abs(g2).^2) * abs(S(2,1))^2 ./ ...
            abs((1 - S(1,1)*g1).*(1 - S(2,2)*g2) - S(1,2)*S(2,1)*g1.*g2).^2;
    end
end
endfunction
