function [c,r] = sgcirc(S,type,G)
if argn(2)==0, help sgcirc; return; end
D = det(S);
K = sparam(S);
C1 = S(1,1) - D * conj(S(2,2));
C2 = S(2,2) - D * conj(S(1,1));
if argn(2)==3,                               //gain circles
  G = 10^(G/10);                            //absolute units
  select type
    case 'ui'
      g = G / sgain(S,'ui');
      c = g*conj(S(1,1)) / (1 - (1-g)*abs(S(1,1))^2);
      r = sqrt(1-g)*(1-abs(S(1,1))^2) / (1 - (1-g)*abs(S(1,1))^2);
   case 'uo'
      g = G / sgain(S,'uo');
      c = g*conj(S(2,2)) / (1 - (1-g)*abs(S(2,2))^2);
      r = sqrt(1-g)*(1-abs(S(2,2))^2) / (1 - (1-g)*abs(S(2,2))^2);
    case 'p'
      g = G / abs(S(2,1))^2;
      c  = g*conj(C2) / (1 + g*(abs(S(2,2))^2 - abs(D)^2));
      r = sqrt(1 - 2*K*g*abs(S(1,2)*S(2,1)) + g^2*abs(S(1,2)*S(2,1))^2) / ...
          abs(1 + g*(abs(S(2,2))^2 - abs(D)^2));
    case 'a'
      g = G / abs(S(2,1))^2;
      c  = g*conj(C1) / (1 + g*(abs(S(1,1))^2 - abs(D)^2));
      r = sqrt(1 - 2*K*g*abs(S(1,2)*S(2,1)) + g^2*abs(S(1,2)*S(2,1))^2) / ...
          abs(1 + g*(abs(S(1,1))^2 - abs(D)^2));
    else
      disp('unknown option'); return
  end
else                                        // stability circles
  select type
    case 's'
      c = conj(C1) / (abs(S(1,1))^2 - abs(D)^2);
      r = abs(S(1,2)*S(2,1)) / abs(abs(S(1,1))^2 - abs(D)^2);
    case 'l'
      c = conj(C2) / (abs(S(2,2))^2 - abs(D)^2);
      r = abs(S(1,2)*S(2,1)) / abs(abs(S(2,2))^2 - abs(D)^2);
    else
      disp('unknown option'); return
  end
end
endfunction
