//HELP FILE ADDED
function [a, dph] = taylornb(d, ph0, N, R, nbar)
if argn(2)==0, help taylornb; return; end
Ra = 10^(R/20);
A = 1/%pi * acosh(Ra);
nbarmin = 2*A^2 + 1;
if nbar < nbarmin,
   disp('taylornb: nbar must be at least', nbarmin);
   a=[]; dph=[];
   return;
end
sigma = nbar / sqrt(A^2 + (nbar-0.5)^2);
u = zeros(1,N-1);
n = 1:nbar-1;    u(n) = sigma * sqrt(A^2 + (n-0.5).^2); u(N-n) = -u(n);
n = nbar:N-nbar; u(n) = n;
psi = 2*%pi*u/N;
z = exp(%i*psi);
w = real(poly2(z));
a = steer(d, w, ph0);                  // steer towards ph0
Du = 2/%pi * sqrt(acosh(Ra)^2 - acosh(Ra/sqrt(2))^2);
dps = sigma * 2*%pi*Du/N;
dph = bwidth(d, ph0, dps);             // 3-dB width in phi-space
endfunction
