//help file added
function L12 = twosect(Z0,Z1,Z2,ZL)
if argn(2)==0, help twosect; return; end
r1 = (Z1-Z0)/(Z1+Z0);
r2 = (Z2-Z1)/(Z2+Z1);
r3 = abs((ZL-Z2)/(ZL+Z2));
th3 = atan(imag((ZL-Z2)/(ZL+Z2))/real((ZL-Z2)/(ZL+Z2)));
s = ((r2+r3)^2 - r1^2*(1+r2*r3)^2) / (4*r2*r3*(1-r1^2));
if (s<0)|(s>1), disp('no solution exists'); L12=[]; return; end
de2 = th3/2 + asin(sqrt(s)) * [1;-1];       // contruct two solutions
G2 = (r2 + r3*exp(%i*th3-2*%i*de2)) ./ (1 + r2*r3*exp(%i*th3-2*%i*de2));
de1 = atan(imag(-G2/r1)/real(-G2/r1))/2; 
L1 = de1/2/%pi;
L2 = de2/2/%pi;
L12 = pmodulo([L1,L2], 0.5);
endfunction

