function [kc, etac] = wavenum(er, mr, sigma, f)
if argn(2)==0, help wavenum; return; end
ep0 = 8.854E-12;
mu0 = 4*pi*1E-7;
ep = er * ep0;
mu = mr * mu0;
w = 2*%pi*f;
tand = sigma/(w*ep);
kc = w * sqrt(mu*ep) * (1 - %i*tand)^(1/2);
etac = sqrt(mu/ep) * (1 - %i*tand)^(-1/2);
endfunction
