//HELP FILE ADDED
function a = woodward(A, alt)
if argn(2)==0, help woodward; return; end
N = length(A);
k = (0:N-1) - alt*(N-1)/2;         // DFT index 
psi = 2*%pi*k/N;                   //DFT frequencies in psi-space
n = (0:N-1) - (N-1)/2;            // array index (half-integer for even N)
a = A * exp(-%i*psi'*n);            // a(n) = \sum_k A(k) e^{-j\psi_k*n}
endfunction
